const o = (t) => {
  if (typeof t != "string")
    return !1;
  try {
    const r = new URL(t);
    return r.protocol === "https:" || r.protocol === "http:";
  } catch {
    return !1;
  }
};
export {
  o as isRemoteUrl
};
